package com.tangguo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tangguo.common.domain.QwmhUserInfo;
import com.tangguo.domain.BbsUserPoints;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户积分Mapper接口
 *
 * @author ruoyi
 * @date 2025-08-29
 */
public interface BbsUserPointsMapper extends BaseMapper<BbsUserPoints> {

	List<BbsUserPoints> selectBbsUserPointsList(@Param("points") BbsUserPoints points);


	QwmhUserInfo selectQwmhUser(@Param("userName") String userName);


	BbsUserPoints selectUserPoints(@Param("userName") String userName);


	int initUserPointsGrade();


	int refreshUserPointsGrade();

}
